org.eclipse.actf.util.httpproxy.proxy

## Interface IHTTPProxyConnection

All Superinterfaces:
  IClientConnection

    public interface IHTTPProxyConnection
    extends IClientConnection

Interface for HTTP connection with client.

### Method Summary

Methods
`int` `getListenPort()` Gets the TCP port number on which this proxy connection is listening.
`ISecretManager` `getSecretManager()` Gets the secret manager for this proxy connection.
`void` `init(IClientStateManager clientStateManager, Socket clientSock, long keepAlive, int initServerGroupIdx)` Initializes this proxy connection.

### Methods inherited from interface org.eclipse.actf.util.httpproxy.core.IClientConnection

`allowTunnel, close, getClientSocket, getCurrentServerGroupIndex, isHandlingRequest, rejectTunnel, resetConnection, run, sendResponse, sendResponse, sendResponse`

### Method Detail

#### getSecretManager

    ISecretManager getSecretManager()

Gets the secret manager for this proxy connection.

Returns:
  secret manager for this proxy connection

#### getListenPort

    int getListenPort()

Gets the TCP port number on which this proxy connection is listening.

Returns:
  listening TCP port number

#### init

    void init(IClientStateManager clientStateManager,
            Socket clientSock,
            long keepAlive,
            int initServerGroupIdx)
              throws IOException

Initializes this proxy connection.

Parameters:
  `clientStateManager` - client state manager
  `clientSock` - TCP socket for client connection
  `keepAlive` - number of milliseconds until the timeout of each network I/O operation
  `initServerGroupIdx` - index of initial server group
Throws:
  `IOException`